body {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

/*
 * Text and navigation link styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

a {
	text-decoration-thickness: 1px;
	text-underline-offset: 0.25ch;
}

a:hover,
a:focus {
	text-decoration-style: dashed;
}

a:active {
	text-decoration: none;
}

.wp-block-navigation .wp-block-navigation-item a:hover,
.wp-block-navigation .wp-block-navigation-item a:focus {
	text-decoration-style: solid;
}
.wp-block-navigation .wp-block-navigation-item a{
	padding: 5px 18px;
}
.wp-block-navigation .wp-block-navigation-item a:hover,
.wp-block-navigation .wp-block-navigation-item.current-menu-item a{
	background-color: var(--wp--preset--color--white);
	color: var(--wp--preset--color--background) !important;
	border-radius: 35px;
}

/*
 * Search and File Block button styles.
 * Necessary until the following issues are resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/36444
 * https://github.com/WordPress/gutenberg/issues/27760
 */

.wp-block-search__button,
.wp-block-file .wp-block-file__button {
	background-color: var(--wp--preset--color--primary);
	border-radius: 0;
	border: none;
	color: var(--wp--preset--color--foreground);
	font-size: var(--wp--preset--font-size--medium);
	padding: calc(.667em + 2px) calc(1.333em + 2px);
}

body.home .wp-site-blocks > * + *{
	margin-block-start:0 !important;
}

/*
 * Button hover styles.
 * Necessary until the following issue is resolved in Gutenberg:
 * https://github.com/WordPress/gutenberg/issues/27075
 */

.wp-block-search__button:hover,
.wp-block-file .wp-block-file__button:hover,
.wp-block-button__link:hover {
	opacity: 0.90;
}

/*
 * Alignment styles.
 * These rules are temporary, and should not be relied on or
 * modified too heavily by themes or plugins that build on
 * Twenty Twenty-Two. These are meant to be a precursor to
 * a global solution provided by the Block Editor.
 *
 * Relevant issues:
 * https://github.com/WordPress/gutenberg/issues/35607
 * https://github.com/WordPress/gutenberg/issues/35884
 */

.wp-site-blocks,
body > .is-root-container,
.edit-post-visual-editor__post-title-wrapper,
.wp-block-group.alignfull,
.wp-block-group.has-background,
.wp-block-cover.alignfull,
.is-root-container .wp-block[data-align="full"] > .wp-block-group,
.is-root-container .wp-block[data-align="full"] > .wp-block-cover {
	padding-right: var(--wp--custom--spacing--outer);
	padding-left: var(--wp--custom--spacing--outer);
}

.wp-site-blocks .alignfull,
.wp-site-blocks > .wp-block-group.has-background,
.wp-site-blocks > .wp-block-cover,
.wp-site-blocks > .wp-block-template-part > .wp-block-group.has-background,
.wp-site-blocks > .wp-block-template-part > .wp-block-cover,
body > .is-root-container > .wp-block-cover,
body > .is-root-container > .wp-block-template-part > .wp-block-group.has-background,
body > .is-root-container > .wp-block-template-part > .wp-block-cover,
.is-root-container .wp-block[data-align="full"] {
	margin-right: calc(-1 * var(--wp--custom--spacing--outer)) !important;
	margin-left: calc(-1 * var(--wp--custom--spacing--outer)) !important;
	width: unset;
}

body.home .wp-block-cover{ margin-block-start:0 !important; }
nav.Hdr-menu.wp-block-navigation ul{ font-weight:600 !important;}


/* Blocks inside columns don't have negative margins. */
.wp-site-blocks .wp-block-columns .wp-block-column .alignfull,
.is-root-container .wp-block-columns .wp-block-column .wp-block[data-align="full"],
/* We also want to avoid stacking negative margins. */
.wp-site-blocks .alignfull:not(.wp-block-group) .alignfull,
.is-root-container .wp-block[data-align="full"] > *:not(.wp-block-group) .wp-block[data-align="full"] {
	margin-right: auto !important;
	margin-left: auto !important;
	width: inherit;
}
.headright-part{ text-align:left;}
body.home header.wp-block-template-part{ position: relative; width:100%; z-index:999;}
/*
 * Responsive menu container padding.
 * This ensures the responsive container inherits the same
 * spacing defined above. This behavior may be built into
 * the Block Editor in the future.
 */

.wp-block-navigation__responsive-container.is-menu-open {
	padding-top: var(--wp--custom--spacing--outer);
	padding-bottom: var(--wp--custom--spacing--large);
	padding-left: var(--wp--custom--spacing--outer);
	padding-right: var(--wp--custom--spacing--outer);
}
.wp-block-navigation ul li.current-menu-item > a,
.wp-block-navigation ul li a:hover{ color:var(--wp--preset--color--primary) !important;}

/* = Contact Form 7 CSS
----------------------------------------------- */
.wpcf7{ 
	margin:30px 0 0;
	padding:0;
}
.wpcf7 input[type="text"], 
.wpcf7 input[type="tel"], 
.wpcf7 input[type="email"]{ 
	width:40%;
	border:1px solid #cccccc;
	box-shadow:inset -1px 1px 2px #ccc;
	color:#797979;
	margin-bottom:0;
	height:40px;
	padding:0 15px;
}
.wpcf7 textarea{	
	border:1px solid #cccccc;
	box-shadow:inset -1px 1px 2px #ccc;
	color:#797979;
	margin-bottom:25px;
	padding:10px;
	width:60%;
	height:160px;
	font-size:12px;
}
.wpcf7 input[type="submit"]{
	background-color:#efc62c;
	padding:20px 40px;
	border-radius:40px;
	font-weight:600;
	font-size:16px;
	cursor:pointer;
	color:#ffffff;	
	width:auto;
	border:none;
	text-transform:uppercase;
}
.wpcf7 input[type="submit"]:hover{
	background-color:#101010;
}
.search-box {
	position: relative;
}
.search-box .wp-block-search__input {
    position: absolute;
    top: 0;
    right: auto;
    left: 60px;
}
.search-box .wp-block-search__button {
    background: transparent !important;
    padding: 0;
}

/* Header Image */
.banner-wrap.inner-header-box{
	position: relative;
}
.banner-wrap.inner-header-box:after{
	content: '';
	position: absolute;
	height: 100%;
	width: 100%;
	background-color: #000;
	opacity: 0.6;
	right: 50%;
	top: 50%;
	transform: translate(50%, -50%);
}
.banner-wrap.inner-header-box .wp-block-cover__inner-container{
	z-index: 1;
}

/* Header Section */
.home .main-header {
	position: absolute;
	width: 100%;
}
.home .main-header .menu-header{
	background-color: transparent !important;
}
.main-header .menu-box nav.wp-block-navigation{
	padding: 12px 6px;
}
.main-header .menu-box nav.wp-block-navigation .wp-block-navigation__responsive-container, 
.main-header .menu-box nav.wp-block-navigation, 
.main-header .menu-box nav.wp-block-navigation ul{
	border-radius: 6px !important;
}

/* Banner */
.main-banner .banner-content .banner-btn a{
	display: flex;
    align-items: center;
    gap: 14px;
	transition: 1s;
}
.main-banner .banner-content .banner-btn a:hover{
	background-color: var(--wp--preset--color--background) !important;
	color: #ffffff !important;
}
.main-header .menu-header .header-btn-box .header-btn a{
	transition: 1s;
}
.main-header .menu-header .header-btn-box .header-btn a:hover{
	background-color: var(--wp--preset--color--background-one) !important;
}
.main-banner .banner-content .banner-btn a:hover svg path{
	fill: #ffffff;
}
.main-banner .banner-content .banner-location a{
	text-decoration: none;
	display: flex;
	flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 15px;
}
.main-banner .banner-content .banner-location .dashicons{
	background-color: #ffffff;
	color: var(--wp--preset--color--background);
	border-radius: 50%;
    padding: 3px;
	font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.main-banner .banner-content .highlight-title{
	position: relative;
	width: fit-content;
	margin: 20px auto 0;
}
.main-banner .banner-content .highlight-title:before, .main-banner .banner-content .highlight-title:after{
	content: '';
	position: absolute;
	height: 2px;
	width: 180px;
	top: 50%;
	transform: translateY(-50%);
	background-color: #ffffff;
}
.main-banner .banner-content .highlight-title:before{
	right: -190px;
}
.main-banner .banner-content .highlight-title:after{
	left: -190px;
}
.main-banner .highlight-box:nth-child(2){
	border-right-style: dashed;
	border-left-style: dashed;
}
.main-banner .banner-countdown{
	margin-bottom: 40px;
}
.main-banner .banner-countdown .eb-cd-inner{
	display: flex;
    gap: 10px;
    justify-content: center;
}
.main-banner .banner-countdown .eb-cd-inner .box{
	background-color: var(--wp--preset--color--background-two) !important;
	width: auto;
	padding: 12px 8px;
	min-width: 65px;
	border-radius: 8px;
	display: flex;
    flex-direction: column;
    align-items: center;
}
.main-banner .banner-countdown .eb-cd-inner .box .eb-cd-digit, .main-banner .banner-countdown .eb-cd-inner .box .eb-cd-label{
	color: #ffffff !important;
}
.main-banner .banner-countdown .eb-cd-inner .box .eb-cd-digit{
	font-size: 22px !important;
	font-weight: 700;
} 
.main-banner .banner-countdown .eb-cd-inner .box .eb-cd-label{
	font-size: 15px !important;
	text-transform: capitalize !important;
	font-weight: 400;
}

/* Services Section */
.services-section .service-icon{
	text-align: center;
}
.services-section .service-icon i{
	font-size: 28px;
	color: var(--wp--preset--color--background);
}
.services-section .services-inner-box .service-img img{
	width: 100% !important;
	object-fit: cover;
}
.services-section .services-inner-box .services-box-title a{
	text-decoration: none;
}
.services-section .services-inner-box:hover .services-box-title a{
	color: var(--wp--preset--color--background) !important;
}

/* Our Process Section */
.footer-boxes .wp-block-social-links li:hover{
	background-color: var(--wp--preset--color--background-one) !important;
}
.footer-boxes .wp-block-social-links li:hover a svg{
	color: var(--wp--preset--color--background-two) !important;
	fill: var(--wp--preset--color--background-two) !important;
}
.footer-div a{
	text-decoration: none;
}
.footer-div a:hover{
	color: var(--wp--preset--color--background-three);
}
.post-page-area .wp-block-post{
	padding: 30px;
	box-shadow: -12px 12px 50px rgba(0, 0, 0, 0.4);
	margin-bottom: 30px;
}
.sidebar-area-wrap .taxonomy-post_tag a {
    background: var(--wp--preset--color--primary);
    padding: 5px !important;
    border-radius: 6px;
    display: inline-block;
    margin-bottom: 10px;
    color: #fff !important;
    margin-left: 10px;
}
.sidebar-area-wrap .taxonomy-post_tag span{
	display: none;
}
.read-more-btn a.wp-block-post-excerpt__more-link {
    background: var(--wp--preset--color--primary);
    border-color: currentColor;
    color: var(--wp--preset--color--white);
    font-weight: 700;
    padding-top: 15px;
    padding-left: 30px;
    padding-bottom: 15px;
    padding-right: 30px;
}
.woocommerce-account .wp-block-post-title, .woocommerce-account main .woocommerce, .woocommerce-cart .wp-block-post-title, .woocommerce-cart main .woocommerce, .woocommerce-checkout .wp-block-post-title, .woocommerce-checkout main .woocommerce {
    max-width: 100%;
}
pre {
    background: #eee;
    max-width: 100%;
    overflow: auto;
    padding: 1.6em;
}

/*comment*/
.wp-block-comments{
    padding: 20px;
    border: 1px solid #dfdfdf;
}
.wp-block-comment-template li .wp-block-columns{
    border: 1px solid #dfdfdf;
    padding: 20px;
}
.wp-block-avatar img{
    border: 1px solid #dfdfdf;
    padding: 2px;
}
.wp-block-post-comments-form textarea{
    background: #f8f8f8;
}
.entry-content{
	overflow-wrap: anywhere;
	overflow: hidden;
}
.buy-now-button{
	padding: 5px 10px !important;
	color: #fff !important;
	border-radius: 7px !important;
	background: var(--wp--preset--color--background) !important;
}
.buy-now-button:hover{
	background: #000 !important;
}
a.added_to_cart.wc-forward {
    background-color: #32373c;
    color: #fff;
    padding-top: calc(0.667em + 2px);
    padding-left: calc(1.333em + 2px);
    padding-bottom: calc(0.667em + 2px);
    padding-right: calc(1.333em + 2px);
}

/*  Account Page CSS */
.woocommerce-account h2 {
	font-weight: 500;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul li,.woocommerce-account .addresses .title .edit {
	background: var(--wp--preset--color--background);
	margin-bottom: 10px;
}
.woocommerce-account .woocommerce-MyAccount-navigation {
	background-color: transparent !important;
}
.woocommerce-MyAccount-navigation ul li a,.woocommerce-account .addresses .title .edit {
	padding: 8px 12px !important;
	font-size: 16px;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul {
	margin: 0 !important;
}
.woocommerce-account .addresses .title .edit{
	color: #fff !important;
	text-decoration: none;
}
nav.woocommerce-MyAccount-navigation ul li a {
	color: #fff;
	text-decoration: none;
	font-weight: 600;
}
.woocommerce-account .addresses .title .edit {
    float: right;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul li {
	list-style: none;
	border-bottom: 1px solid #eaeaea;
	position: relative;
	padding: 0;
}
.woocommerce-MyAccount-navigation ul li a {
	padding: 15px 0;
	display: block;
	text-decoration: none;
}
.woocommerce-MyAccount-navigation ul li:last-child {
	border: 0;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul {
	margin: 2rem;
	padding: 0;
}
.woocommerce-account .woocommerce-MyAccount-navigation li.is-active a {
	text-decoration: none;
}
.meta-category a{
	color: #fff !important;
	text-decoration: none !important;
}
.post-navigation-link-previous a,
.post-navigation-link-next a {
	color: #fff !important;
	text-decoration: none;
}
.post-navigation-link-previous,
.post-navigation-link-next {
  background: var(--wp--preset--color--background) !important;
  color: var(--wp--preset--color--secondary);
  padding: 7px 20px;
  border-radius: 5px;
}
.post-pgntion{
	margin-top: 40px;
}